PipeWire: stream Struct Reference

PipeWire 0.3.26

Data Fields
stream Struct Reference
Collaboration diagram for stream:
[legend]

## Data Fields
struct pw_stream | this
const char * | path
struct pw_context * | context
struct spa_hook | context_listener
enum spa_direction | direction
enum pw_stream_flags | flags
struct pw_impl_node * | node
struct spa_node | impl_node
struct spa_node_methods | node_methods
struct spa_hook_list | hooks
struct spa_callbacks | callbacks
struct spa_io_position * | position
struct spa_io_buffers * | io
struct {
struct spa_io_position * position
} | rt
uint32_t | change_mask_all
struct spa_port_info | port_info
struct pw_properties * | port_props
struct spa_list | param_list
struct spa_param_info | params [5]
uint32_t | media_type
uint32_t | media_subtype
struct buffer | buffers [MAX_BUFFERS]
uint32_t | n_buffers
struct queue | dequeued
struct queue | queued
struct data | data
uintptr_t | seq
struct pw_time | time
uint64_t | base_pos
uint32_t | clock_id
unsigned int | disconnecting:1
unsigned int | disconnect_core:1
unsigned int | draining:1
unsigned int | drained:1
unsigned int | allow_mlock:1
unsigned int | warn_mlock:1
unsigned int | process_rt:1

## Field Documentation

## ◆ allow_mlock

unsigned int stream::allow_mlock

## ◆ base_pos

uint64_t stream::base_pos

## ◆ buffers

struct buffer stream::buffers[MAX_BUFFERS]

## ◆ callbacks

struct spa_callbacks stream::callbacks

## ◆ change_mask_all

uint32_t stream::change_mask_all

## ◆ clock_id

uint32_t stream::clock_id

## ◆ context

struct pw_context* stream::context

## ◆ context_listener

struct spa_hook stream::context_listener

## ◆ data

struct data stream::data

## ◆ dequeued

struct queue stream::dequeued

## ◆ direction

enum spa_direction stream::direction

## ◆ disconnect_core

unsigned int stream::disconnect_core

## ◆ disconnecting

unsigned int stream::disconnecting

## ◆ drained

unsigned int stream::drained

## ◆ draining

unsigned int stream::draining

## ◆ flags

enum pw_stream_flags stream::flags

## ◆ hooks

struct spa_hook_list stream::hooks

## ◆ impl_node

struct spa_node stream::impl_node

## ◆ io

struct spa_io_buffers* stream::io

## ◆ media_subtype

uint32_t stream::media_subtype

## ◆ media_type

uint32_t stream::media_type

## ◆ n_buffers

uint32_t stream::n_buffers

## ◆ node

struct pw_impl_node* stream::node

## ◆ node_methods

struct spa_node_methods stream::node_methods

## ◆ param_list

struct spa_list stream::param_list

## ◆ params

struct spa_param_info stream::params[5]

## ◆ path

const char* stream::path

## ◆ port_info

struct spa_port_info stream::port_info

## ◆ port_props

struct pw_properties* stream::port_props

## ◆ position

struct spa_io_position* stream::position

## ◆ process_rt

unsigned int stream::process_rt

## ◆ queued

struct queue stream::queued

## ◆

struct { ... } stream::rt

## ◆ seq

uintptr_t stream::seq

## ◆ this

struct pw_stream stream::this

## ◆ time

struct pw_time stream::time

Referenced by pw_stream::pw_stream_get_time().

## ◆ warn_mlock

unsigned int stream::warn_mlock

The documentation for this struct was generated from the following file:

- stream.c